diff -upr ioquake3svn1438/code/game/g_active.c ioquake3serverFix/code/game/g_active.c
--- ioquake3svn1438/code/game/g_active.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/g_active.c	2008-08-09 11:28:21.000000000 -0500
@@ -182,12 +182,12 @@ G_SetClientSound
 ===============
 */
 void G_SetClientSound( gentity_t *ent ) {
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	if( ent->s.eFlags & EF_TICKING ) {
 		ent->client->ps.loopSound = G_SoundIndex( "sound/weapons/proxmine/wstbtick.wav");
 	}
 	else
-//#endif
+#endif
 	if (ent->waterlevel && (ent->watertype&(CONTENTS_LAVA|CONTENTS_SLIME)) ) {
 		ent->client->ps.loopSound = level.snd_fry;
 	} else {
@@ -254,9 +254,8 @@ void	G_TouchTriggers( gentity_t *ent ) {
 		return;
 	}
 
-	//ELIMINATION LMS
-	// dead clients don't activate triggers! The reason our pm_spectators can't do anything
-	if ( ent->client->ps.stats[STAT_HEALTH] <= 0 && ent->client->ps.pm_type != PM_SPECTATOR) {
+	// dead clients don't activate triggers!
+	if ( ent->client->ps.stats[STAT_HEALTH] <= 0 ) {
 		return;
 	}
 
@@ -280,12 +279,11 @@ void	G_TouchTriggers( gentity_t *ent ) {
 		}
 
 		// ignore most entities if a spectator
-		if ( (ent->client->sess.sessionTeam == TEAM_SPECTATOR) || ent->client->ps.pm_type == PM_SPECTATOR ) {
+		if ( ent->client->sess.sessionTeam == TEAM_SPECTATOR ) {
 			if ( hit->s.eType != ET_TELEPORT_TRIGGER &&
 				// this is ugly but adding a new ET_? type will
 				// most likely cause network incompatibilities
-				//We need to stop eliminated players from opening doors somewhere else /Sago007 20070814
-				hit->touch != Touch_DoorTrigger ) {
+				hit->touch != Touch_DoorTrigger) {
 				continue;
 			}
 		}
@@ -352,11 +350,6 @@ void SpectatorThink( gentity_t *ent, use
 		trap_UnlinkEntity( ent );
 	}
 
-	/* Stopped players from going into follow mode in B5, should be fixed in B9
-	if(ent->client->sess.sessionTeam != TEAM_SPECTATOR && g_gametype.integer>=GT_ELIMINATION && g_gametype.integer<=GT_LMS)
-		return;
-	*/
-	
 	client->oldbuttons = client->buttons;
 	client->buttons = ucmd->buttons;
 
@@ -364,14 +357,6 @@ void SpectatorThink( gentity_t *ent, use
 	if ( ( client->buttons & BUTTON_ATTACK ) && ! ( client->oldbuttons & BUTTON_ATTACK ) ) {
 		Cmd_FollowCycle_f( ent, 1 );
 	}
-
-	if ( ( client->buttons & BUTTON_USE_HOLDABLE ) && ! ( client->oldbuttons & BUTTON_USE_HOLDABLE ) ) {
-		//Cmd_FollowCycle_f( ent, 1 );
-		//client->sess.spectatorState = SPECTATOR_FREE;
-		StopFollowing(ent);
-		//ent->client->ps.stats[STAT_HEALTH] = 0;
-		//ClientBegin( ent->client - level.clients );
-	}
 }
 
 
@@ -427,10 +412,6 @@ void ClientTimerActions( gentity_t *ent,
 	while ( client->timeResidual >= 1000 ) {
 		client->timeResidual -= 1000;
 
-		//Stop in elimination!!!
-		if (client->ps.pm_flags & PMF_ELIMWARMUP)
-			continue;
-
 		// regenerate
 #ifdef MISSIONPACK
 		if( bg_itemlist[client->ps.stats[STAT_PERSISTANT_POWERUP]].giTag == PW_GUARD ) {
@@ -477,18 +458,6 @@ void ClientTimerActions( gentity_t *ent,
 			if ( ent->health > client->ps.stats[STAT_MAX_HEALTH] ) {
 				ent->health--;
 			}
-			//Start killing players in LMS, if we are in overtime
-			if(g_gametype.integer==GT_LMS && TeamHealthCount( -1, TEAM_FREE ) != ent->health &&(level.roundNumber==level.roundNumberStarted)&&(level.time>=level.roundStartTime+1000*g_elimination_roundtime.integer)) {
-				ent->damage=5;
-				G_Damage (ent, NULL, NULL, NULL, NULL, 
-					ent->damage, DAMAGE_NO_ARMOR, MOD_UNKNOWN);
-			}
-			else
-			if ( ent->health < client->ps.stats[STAT_MAX_HEALTH] ) {
-				ent->health+=g_regen.integer;
-				if(ent->health>client->ps.stats[STAT_MAX_HEALTH])
-					ent->health= client->ps.stats[STAT_MAX_HEALTH];
-			}
 		}
 
 		// count down armor when over max
@@ -810,118 +779,6 @@ void ClientThink_real( gentity_t *ent ) 
 //		G_Printf("serverTime >>>>>\n" );
 	} 
 
-//Here comes the unlagged bit!
-//unlagged - backward reconciliation #4
-	// frameOffset should be about the number of milliseconds into a frame 
-	// this command packet was received, depending on how fast the server
-	// does a G_RunFrame()
-	client->frameOffset = trap_Milliseconds() - level.frameStartTime;
-//unlagged - backward reconciliation #4
-
-
-//unlagged - lag simulation #3
-	// if the client wants to simulate outgoing packet loss
-/*	if ( client->pers.plOut ) {
-		// see if a random value is below the threshhold
-		float thresh = (float)client->pers.plOut / 100.0f;
-		if ( random() < thresh ) {
-			// do nothing at all if it is - this is a lost command
-			return;
-		}
-	}*/
-//unlagged - lag simulation #3
-
-
-//unlagged - true ping
-	// save the estimated ping in a queue for averaging later
-
-	// we use level.previousTime to account for 50ms lag correction
-	// besides, this will turn out numbers more like what players are used to
-	client->pers.pingsamples[client->pers.samplehead] = level.previousTime + client->frameOffset - ucmd->serverTime;
-	client->pers.samplehead++;
-	if ( client->pers.samplehead >= NUM_PING_SAMPLES ) {
-		client->pers.samplehead -= NUM_PING_SAMPLES;
-	}
-
-	// initialize the real ping
-	if ( g_truePing.integer ) {
-		int i, sum = 0;
-
-		// get an average of the samples we saved up
-		for ( i = 0; i < NUM_PING_SAMPLES; i++ ) {
-			sum += client->pers.pingsamples[i];
-		}
-
-		client->pers.realPing = sum / NUM_PING_SAMPLES;
-	}
-	else {
-		// if g_truePing is off, use the normal ping
-		client->pers.realPing = client->ps.ping;
-	}
-//unlagged - true ping
-
-
-//unlagged - lag simulation #2
-	// keep a queue of past commands
-/*	client->pers.cmdqueue[client->pers.cmdhead] = client->pers.cmd;
-	client->pers.cmdhead++;
-	if ( client->pers.cmdhead >= MAX_LATENT_CMDS ) {
-		client->pers.cmdhead -= MAX_LATENT_CMDS;
-	}
-
-	// if the client wants latency in commands (client-to-server latency)
-	if ( client->pers.latentCmds ) {
-		// save the actual command time
-		int time = ucmd->serverTime;
-
-		// find out which index in the queue we want
-		int cmdindex = client->pers.cmdhead - client->pers.latentCmds - 1;
-		while ( cmdindex < 0 ) {
-			cmdindex += MAX_LATENT_CMDS;
-		}
-
-		// read in the old command
-		client->pers.cmd = client->pers.cmdqueue[cmdindex];
-
-		// adjust the real ping to reflect the new latency
-		client->pers.realPing += time - ucmd->serverTime;
-	}*/
-//unlagged - lag simulation #2
-
-
-//unlagged - backward reconciliation #4
-	// save the command time *before* pmove_fixed messes with the serverTime,
-	// and *after* lag simulation messes with it :)
-	// attackTime will be used for backward reconciliation later (time shift)
-	client->attackTime = ucmd->serverTime;
-//unlagged - backward reconciliation #4
-
-
-//unlagged - smooth clients #1
-	// keep track of this for later - we'll use this to decide whether or not
-	// to send extrapolated positions for this client
-	client->lastUpdateFrame = level.framenum;
-//unlagged - smooth clients #1
-
-
-//unlagged - lag simulation #1
-	// if the client is adding latency to received snapshots (server-to-client latency)
-	/*if ( client->pers.latentSnaps ) {
-		// adjust the real ping
-		client->pers.realPing += client->pers.latentSnaps * (1000 / sv_fps.integer);
-		// adjust the attack time so backward reconciliation will work
-		client->attackTime -= client->pers.latentSnaps * (1000 / sv_fps.integer);
-	}*/
-//unlagged - lag simulation #1
-
-
-//unlagged - true ping
-	// make sure the true ping is over 0 - with cl_timenudge it can be less
-	if ( client->pers.realPing < 0 ) {
-		client->pers.realPing = 0;
-	}
-//unlagged - true ping
-
 	msec = ucmd->serverTime - client->ps.commandTime;
 	// following others may result in bad times, but we still want
 	// to check for follow toggles
@@ -954,7 +811,7 @@ void ClientThink_real( gentity_t *ent ) 
 	}
 
 	// spectators don't do much
-	if ( (client->sess.sessionTeam == TEAM_SPECTATOR) || client->isEliminated ) {
+	if ( client->sess.sessionTeam == TEAM_SPECTATOR ) {
 		if ( client->sess.spectatorState == SPECTATOR_SCOREBOARD ) {
 			return;
 		}
@@ -1088,20 +945,12 @@ void ClientThink_real( gentity_t *ent ) 
 	if ( ent->client->ps.eventSequence != oldEventSequence ) {
 		ent->eventTime = level.time;
 	}
-//unlagged - smooth clients #2
-	// clients no longer do extrapolation if cg_smoothClients is 1, because
-	// skip correction is all handled server-side now
-	// since that's the case, it makes no sense to store the extra info
-	// in the client's snapshot entity, so let's save a little bandwidth
-/*
 	if (g_smoothClients.integer) {
 		BG_PlayerStateToEntityStateExtraPolate( &ent->client->ps, &ent->s, ent->client->ps.commandTime, qtrue );
 	}
 	else {
-*/
 		BG_PlayerStateToEntityState( &ent->client->ps, &ent->s, qtrue );
-//	}
-//unlagged - smooth clients #2
+	}
 	SendPendingPredictableEvents( &ent->client->ps );
 
 	if ( !( ent->client->ps.eFlags & EF_FIRING ) ) {
@@ -1148,20 +997,18 @@ void ClientThink_real( gentity_t *ent ) 
 	// check for respawning
 	if ( client->ps.stats[STAT_HEALTH] <= 0 ) {
 		// wait for the attack button to be pressed
-		// forcerespawn is to prevent users from waiting out powerups
-		// In Last man standing, we force a quick respawn, since
-		// the player must be able to loose health
-		// pressing attack or use is the normal respawn method
-		if ( ( level.time > client->respawnTime ) &&
-			( ( ( g_forcerespawn.integer > 0 ) && 
-			( level.time - client->respawnTime  > g_forcerespawn.integer * 1000 ) ) ||
-			( ( ( g_gametype.integer == GT_LMS ) ||
-			( g_gametype.integer == GT_ELIMINATION ) ||
-			( g_gametype.integer == GT_CTF_ELIMINATION ) ) &&
-			( level.time - client->respawnTime > 0 ) ) ||	
-			( ucmd->buttons & ( BUTTON_ATTACK | BUTTON_USE_HOLDABLE ) ) ) ) {
-
-			respawn( ent );
+		if ( level.time > client->respawnTime ) {
+			// forcerespawn is to prevent users from waiting out powerups
+			if ( g_forcerespawn.integer > 0 && 
+				( level.time - client->respawnTime ) > g_forcerespawn.integer * 1000 ) {
+				respawn( ent );
+				return;
+			}
+		
+			// pressing attack or use is the normal respawn method
+			if ( ucmd->buttons & ( BUTTON_ATTACK | BUTTON_USE_HOLDABLE ) ) {
+				respawn( ent );
+			}
 		}
 		return;
 	}
@@ -1183,10 +1030,9 @@ void ClientThink( int clientNum ) {
 	ent = g_entities + clientNum;
 	trap_GetUsercmd( clientNum, &ent->client->pers.cmd );
 
-	//Unlagged: commented out
 	// mark the time we got info, so we can display the
 	// phone jack if they don't get any for a while
-	//ent->client->lastCmdTime = level.time;
+	ent->client->lastCmdTime = level.time;
 
 	if ( !(ent->r.svFlags & SVF_BOT) && !g_synchronousClients.integer ) {
 		ClientThink_real( ent );
@@ -1211,7 +1057,6 @@ SpectatorClientEndFrame
 */
 void SpectatorClientEndFrame( gentity_t *ent ) {
 	gclient_t	*cl;
-	int i, preservedScore[MAX_PERSISTANT]; //for keeping in elimination
 
 	// if we are doing a chase cam or a remote view, grab the latest info
 	if ( ent->client->sess.spectatorState == SPECTATOR_FOLLOW ) {
@@ -1229,16 +1074,7 @@ void SpectatorClientEndFrame( gentity_t 
 			cl = &level.clients[ clientNum ];
 			if ( cl->pers.connected == CON_CONNECTED && cl->sess.sessionTeam != TEAM_SPECTATOR ) {
 				flags = (cl->ps.eFlags & ~(EF_VOTED | EF_TEAMVOTED)) | (ent->client->ps.eFlags & (EF_VOTED | EF_TEAMVOTED));
-				//this is here LMS/Elimination goes wrong with player follow
-				if(ent->client->sess.sessionTeam!=TEAM_SPECTATOR){
-					for(i = 0; i < MAX_PERSISTANT; i++)
-						preservedScore[i] = ent->client->ps.persistant[i];
-					ent->client->ps = cl->ps;
-					for(i = 0; i < MAX_PERSISTANT; i++)
-						ent->client->ps.persistant[i] = preservedScore[i];
-				}
-				else
-					ent->client->ps = cl->ps;
+				ent->client->ps = cl->ps;
 				ent->client->ps.pm_flags |= PMF_FOLLOW;
 				ent->client->ps.eFlags = flags;
 				return;
@@ -1250,9 +1086,6 @@ void SpectatorClientEndFrame( gentity_t 
 				}
 			}
 		}
-	
-		
-			
 	}
 
 	if ( ent->client->sess.spectatorState == SPECTATOR_SCOREBOARD ) {
@@ -1275,11 +1108,7 @@ void ClientEndFrame( gentity_t *ent ) {
 	int			i;
 	clientPersistant_t	*pers;
 
-//unlagged - smooth clients #1
-	int frames;
-//unlagged - smooth clients #1
-
-	if ( (ent->client->sess.sessionTeam == TEAM_SPECTATOR) || ent->client->isEliminated ) {
+	if ( ent->client->sess.sessionTeam == TEAM_SPECTATOR ) {
 		SpectatorClientEndFrame( ent );
 		return;
 	}
@@ -1334,57 +1163,25 @@ void ClientEndFrame( gentity_t *ent ) {
 	// apply all the damage taken this frame
 	P_DamageFeedback (ent);
 
-	//Unlagged: Commented out
 	// add the EF_CONNECTION flag if we haven't gotten commands recently
-	/*if ( level.time - ent->client->lastCmdTime > 1000 ) {
+	if ( level.time - ent->client->lastCmdTime > 1000 ) {
 		ent->s.eFlags |= EF_CONNECTION;
 	} else {
 		ent->s.eFlags &= ~EF_CONNECTION;
-	}*/
+	}
 
 	ent->client->ps.stats[STAT_HEALTH] = ent->health;	// FIXME: get rid of ent->health...
 
 	G_SetClientSound (ent);
 
-//Unlagged: Always do the else clause
 	// set the latest infor
-/*	if (g_smoothClients.integer) {
+	if (g_smoothClients.integer) {
 		BG_PlayerStateToEntityStateExtraPolate( &ent->client->ps, &ent->s, ent->client->ps.commandTime, qtrue );
 	}
-	else { */
+	else {
 		BG_PlayerStateToEntityState( &ent->client->ps, &ent->s, qtrue );
-//	}
-	SendPendingPredictableEvents( &ent->client->ps );
-
-//unlagged - smooth clients #1
-	// mark as not missing updates initially
-	ent->client->ps.eFlags &= ~EF_CONNECTION;
-
-	// see how many frames the client has missed
-	frames = level.framenum - ent->client->lastUpdateFrame - 1;
-
-	// don't extrapolate more than two frames
-	if ( frames > 2 ) {
-		frames = 2;
-
-		// if they missed more than two in a row, show the phone jack
-		ent->client->ps.eFlags |= EF_CONNECTION;
-		ent->s.eFlags |= EF_CONNECTION;
 	}
-
-	// did the client miss any frames?
-	if ( frames > 0 && g_smoothClients.integer ) {
-		// yep, missed one or more, so extrapolate the player's movement
-		G_PredictPlayerMove( ent, (float)frames / sv_fps.integer );
-		// save network bandwidth
-		SnapVector( ent->s.pos.trBase );
-	}
-//unlagged - smooth clients #1
-
-//unlagged - backward reconciliation #1
-	// store the client's position for backward reconciliation later
-	G_StoreHistory( ent );
-//unlagged - backward reconciliation #1
+	SendPendingPredictableEvents( &ent->client->ps );
 
 	// set the bit for the reachability area the client is currently in
 //	i = trap_AAS_PointReachabilityAreaIndex( ent->client->ps.origin );
Only in ioquake3svn1438/code/game: game.bat
Only in ioquake3svn1438/code/game: game.q3asm
Only in ioquake3svn1438/code/game: game.sh
Only in ioquake3svn1438/code/game: game_ta.bat
Only in ioquake3svn1438/code/game: game_ta.q3asm
Only in ioquake3svn1438/code/game: game_ta.sh
diff -upr ioquake3svn1438/code/game/g_arenas.c ioquake3serverFix/code/game/g_arenas.c
--- ioquake3svn1438/code/game/g_arenas.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/g_arenas.c	2008-08-09 11:28:21.000000000 -0500
@@ -43,7 +43,7 @@ void UpdateTournamentInfo( void ) {
 	int			playerClientNum;
 	int			n, accuracy, perfect,	msglen;
 	int			buflen;
-#ifdef MISSIONPACK // bk001205
+#ifdef MISSIONPACK
   int score1, score2;
 	qboolean won;
 #endif
@@ -85,7 +85,7 @@ void UpdateTournamentInfo( void ) {
 		}
 #ifdef MISSIONPACK
 		won = qfalse;
-		if (g_gametype.integer >= GT_CTF && g_ffa_gt==0) {
+		if (g_gametype.integer >= GT_CTF) {
 			score1 = level.teamScores[TEAM_RED];
 			score2 = level.teamScores[TEAM_BLUE];
 			if (level.clients[playerClientNum].sess.sessionTeam	== TEAM_RED) {
diff -upr ioquake3svn1438/code/game/g_bot.c ioquake3serverFix/code/game/g_bot.c
--- ioquake3svn1438/code/game/g_bot.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/game/g_bot.c	2008-08-09 11:28:21.000000000 -0500
@@ -43,7 +43,6 @@ typedef struct {
 	int		spawnTime;
 } botSpawnQueue_t;
 
-//static int			botBeginDelay = 0;  // bk001206 - unused, init
 static botSpawnQueue_t	botSpawnQueue[BOT_SPAWN_QUEUE_DEPTH];
 
 vmCvar_t bot_minplayers;
@@ -406,7 +405,7 @@ void G_CheckMinimumPlayers( void ) {
 	minplayers = bot_minplayers.integer;
 	if (minplayers <= 0) return;
 
-	if (g_gametype.integer >= GT_TEAM && g_ffa_gt!=1) {
+	if (g_gametype.integer >= GT_TEAM) {
 		if (minplayers >= g_maxclients.integer / 2) {
 			minplayers = (g_maxclients.integer / 2) -1;
 		}
@@ -446,7 +445,7 @@ void G_CheckMinimumPlayers( void ) {
 			}
 		}
 	}
-	else if (g_gametype.integer == GT_FFA || g_gametype.integer == GT_LMS) {
+	else if (g_gametype.integer == GT_FFA) {
 		if (minplayers >= g_maxclients.integer) {
 			minplayers = g_maxclients.integer-1;
 		}
@@ -659,7 +658,7 @@ static void G_AddBot( const char *name, 
 
 	// initialize the bot settings
 	if( !team || !*team ) {
-		if( g_gametype.integer >= GT_TEAM && g_ffa_gt!=1) {
+		if( g_gametype.integer >= GT_TEAM ) {
 			if( PickTeam(clientNum) == TEAM_RED) {
 				team = "red";
 			}
